@font-face {
  font-family: "Expensify New Kansas";
  src: url("/assets/fonts/ExpensifyNewKansas-Medium.woff2") format("woff2");
}

@font-face {
  font-family: "Expensify Neue";
  src: url("/assets/fonts/ExpensifyNeue-Regular.woff2") format("woff2");
}

/* @font-face {
  font-family: "Expensify Mono";
  src: url(/assets/fonts/ExpensifyMono-Regular.woff2) format("woff2");
} */

*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --expensify-logo-green: #03d47c;
  --color-green-200: #03d47c;
  --color-green-300: #03bb6d;
  --color-green-500: #085239;
  --color-green-600: #134038;

  --color-green-700: #07271f;
  --color-green-800: #072419;
  --color-green-900: #061b09;

  --color-bg-primary: var(--color-green-900);
  --color-bg-secondary: var(--color-green-800);
  --color-bg-tertiary: var(--color-green-700);
  --color-border: var(--color-green-600);

  font-family: "Expensify Neue";
}

/* reset */

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}

img {
  margin-bottom: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

body {
  margin: 0;
}

input,
button {
  font: inherit;
}

input {
  min-width: 0;
}

button {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

button {
  color: white;
  background-color: var(--color-green-300);
  border-color: var(--color-border);
  padding-inline: 1rem;
  padding-block: 0.5rem;
  border-radius: 3rem;
}

button:hover {
  opacity: 90%;
}

button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

/**/
html,
body {
  height: 100%;
}

body {
  color: white;
  background-color: var(--color-bg-primary);
  background-image: linear-gradient(
    var(--color-bg-primary),
    var(--color-bg-secondary)
  );
}

input {
  padding-block: 0.4rem;
  border-radius: 0.25rem;
}

input {
  border: 2px solid transparent;
}

input:focus {
  outline: 2px solid var(--color-green-300);
}

input:user-valid {
  border-color: var(--color-green-300);
}

input:user-valid:focus {
  outline: 1px solid var(--color-green-300);
}

input:user-invalid {
  border-color: firebrick;
}

input:user-invalid:focus {
  outline: 1px solid firebrick;
}

#loginContent {
  background: var(--color-bg-secondary);
  margin: 0 auto;
  padding: 2rem;
  font-size: 1.5rem;
  width: fit-content;
  border-radius: 1rem;

  display: grid;
  gap: 1rem;

  h2 {
    font-family: "Expensify New Kansas";
  }

  form {
    display: grid;
    gap: 1rem;

    .form-group {
      display: grid;
      gap: 0.25rem;
    }

    button {
      margin-top: 0.5rem;
      width: 75%;
      justify-self: center;
    }
  }

  .help-options {
    display: grid;
    gap: 0.5rem;
  }
}
